import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconMinimize as IconMinimizeClass } from "../../../../components/icon/icons/minimize.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconMinimize = (props) => {
  IconMinimizeClass.define();
  const JSXElement = getReactComponent("gds-icon-minimize");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconMinimize.displayName = "IconMinimize";
export {
  IconMinimize
};
